Description: Fix types so the code builds with gcc>=14
Author: IOhannes m zmölnig <umlaeute@debian.org>
Origin: Debian
Forwarded: no
Last-Update: 2024-08-19
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-unauthorized.orig/cooled~.c
+++ pd-unauthorized/cooled~.c
@@ -334,7 +334,7 @@
 
 #ifndef _WIN32
     post("cooled~ : child thread %d ended", (int)x->x_updatechild );
-    x->x_updatechild = NULL;
+    x->x_updatechild = 0;
 #endif
     return NULL;
 }
--- pd-unauthorized.orig/mp3amp~.c
+++ pd-unauthorized/mp3amp~.c
@@ -234,7 +234,7 @@
     unsigned int a,b,c,d;
     unsigned long cheader;
     signed short int *p = (signed short int *) x->x_out;
-    t_int     pbytes;
+    int     pbytes;
     t_int     ret, totlength=0;
     t_int     pframes = 0;
 
